Loading...
Searching...
No Matches
BALL::VIEW::MaterialSettings Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/materialSettings.h>`

Inheritance diagram for BALL::VIEW::MaterialSettings:

## Public Slots

virtual void | ambientFactorChanged ()
virtual void | specularityFactorChanged ()
virtual void | reflectivenessFactorChanged ()
virtual void | shininessFactorChanged ()
virtual void | transparencyFactorChanged ()
virtual void | updateDirectlyBoxChanged ()
virtual void | editAmbientColor ()
virtual void | editSpecularityColor ()
virtual void | editReflectivenessColor ()

## Public Member Functions

| MaterialSettings (QWidget *parent=0, const char *name="MaterialSettings", Qt::WindowFlags fl=0)
| Constructor.
| ~MaterialSettings ()
| Destructor.
void | apply ()
| Apply the new values to the stage.
void | setCurrentRepresentation (Representation *representation)
| set the current representation
void | updateDefaultMaterialsFromStage ()
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for setting the Material, which is added to the Preferences. This dialog allows the control of the Materials of a Scene. Materials can be added, removed and adjusted.

Definition at line 33 of file materialSettings.h.

## Constructor & Destructor Documentation

## MaterialSettings()

BALL::VIEW::MaterialSettings::MaterialSettings | ( | QWidget * | parent = 0,
|  | const char * | name = "MaterialSettings",
|  | Qt::WindowFlags | fl = 0 )

Constructor.

## ~MaterialSettings()

BALL::VIEW::MaterialSettings::~MaterialSettings | ( |  | ) |

inline

Destructor.

Definition at line 46 of file materialSettings.h.

## Member Function Documentation

## ambientFactorChanged

virtual void BALL::VIEW::MaterialSettings::ambientFactorChanged | ( |  | ) |

virtual slot

## apply()

void BALL::VIEW::MaterialSettings::apply | ( |  | ) |

Apply the new values to the stage.

## editAmbientColor

virtual void BALL::VIEW::MaterialSettings::editAmbientColor | ( |  | ) |

virtual slot

## editReflectivenessColor

virtual void BALL::VIEW::MaterialSettings::editReflectivenessColor | ( |  | ) |

virtual slot

## editSpecularityColor

virtual void BALL::VIEW::MaterialSettings::editSpecularityColor | ( |  | ) |

virtual slot

## reflectivenessFactorChanged

virtual void BALL::VIEW::MaterialSettings::reflectivenessFactorChanged | ( |  | ) |

virtual slot

## setCurrentRepresentation()

void BALL::VIEW::MaterialSettings::setCurrentRepresentation | ( | Representation * | representation | ) |

set the current representation

## shininessFactorChanged

virtual void BALL::VIEW::MaterialSettings::shininessFactorChanged | ( |  | ) |

virtual slot

## specularityFactorChanged

virtual void BALL::VIEW::MaterialSettings::specularityFactorChanged | ( |  | ) |

virtual slot

## transparencyFactorChanged

virtual void BALL::VIEW::MaterialSettings::transparencyFactorChanged | ( |  | ) |

virtual slot

## updateDefaultMaterialsFromStage()

void BALL::VIEW::MaterialSettings::updateDefaultMaterialsFromStage | ( |  | ) |

Set the values according to the ones stored in the scene TODO: currently, this only works for RTfact materials! OpenGL and POVRay are not yet supported!

## updateDirectlyBoxChanged

virtual void BALL::VIEW::MaterialSettings::updateDirectlyBoxChanged | ( |  | ) |

virtual slot